UpdateBareMetal2Instance
UpdateBareMetal2Instance
/v1/baremetal2/bm-instances/{uuid}/actionOperation ID
UpdateBareMetal2InstanceSince
4.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe bare metal instance UUID.
Body Fields
nameStringOptional. The bare metal instance name.
descriptionStringOptional. The detailed description of the bare metal instance.
stateStringOptional. The running state of the bare metal instance.
chassisOfferingUuidStringOptional. The chassis offering UUID.
defaultL3NetworkUuidStringOptional. The default L3 network UUID.
Responses
200 OKOn success, this API returns the following response structure.
errorErrorCodeRequiredThe error code. If not null, the operation fails, or vice versa. For more information, see error.
codeStringRequiredThe error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.
descriptionStringRequiredThe brief description of the error.
detailsStringRequiredThe details about the error.
elaborationStringRequiredThe reserved field. Default value: null.
opaqueLinkedHashMapRequiredThe reserved field. Default value: null.
causeErrorCodeRequiredThe root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.
inventoryBareMetal2InstanceInventoryRequiredSee inventory.
chassisUuidStringRequiredThe UUID of the bare metal chassis.
lastChassisUuidStringRequiredThe UUID of the bare metal chassis where the instance last resides.
gatewayUuidStringRequiredThe gateway UUID.
lastGatewayUuidStringRequiredThe UUID of the last gateway.
chassisOfferingUuidStringRequiredThe chassis offering UUID.
gatewayAllocatorStrategyStringRequiredThe gateway allocation policy.
statusStringRequiredThe connection status of the bare metal instance.
uuidStringRequiredThe UUID of the bare metal instance.
nameStringRequiredThe bare metal instance name.
descriptionStringRequiredThe detailed description of the bare metal instance.
zoneUuidStringRequiredThe zone UUID.
clusterUuidStringRequiredThe cluster UUID.
imageUuidStringRequiredThe image UUID.
rootVolumeUuidStringRequiredThe root volume UUID
platformStringRequiredThe platform type.
defaultL3NetworkUuidStringRequiredThe UUID of the default L3 network.
typeStringRequiredThe type of the bare metal instance.
hypervisorTypeStringRequiredThe virtualization type.
memorySizeLongRequiredThe memory size.
cpuNumIntegerRequiredThe number of CPU cores.
cpuSpeedLongRequiredThe processing speed of the CPU.
createDateTimestampRequiredThe time when the bare metal instance was created.
lastOpDateTimestampRequiredThe time when the bare metal instance was last modified.
stateStringRequiredThe state of the bare metal instance.
provisionNicBareMetal2InstanceProvisionNicInventoryRequiredSee provisionNic.
uuidStringRequiredThe UUID of the NIC that is in the deployment network.
networkUuidStringRequiredThe deployment network UUID.
macStringRequiredThe name of the NIC.
ipStringRequiredThe IP address of the NIC.
netmaskStringRequiredThe netmask of the NIC.
gatewayStringRequiredThe gateway IP address.
metadataStringRequiredThe metadata.
createDateTimestampRequiredThe time when the NIC was created.
lastOpDateTimestampRequiredThe time when the NIC was last modified.
vmNicsListRequiredSee vmNics.
uuidStringRequiredThe UUID of the NIC of the bare metal instance.
vmInstanceUuidStringRequiredThe UUID of the VM instance.
l3NetworkUuidStringRequiredThe L3 network UUID.
ipStringRequiredThe IP address of the NIC.
macStringRequiredThe MAC address of the NIC.
hypervisorTypeStringRequiredThe virtualization type.
netmaskStringRequiredThe netmask of the NIC.
gatewayStringRequiredThe gateway IP address.
metaDataStringRequiredThe metadata.
ipVersionIntegerRequiredThe version of the IP address.
deviceIdIntegerRequiredThe device ID.
typeStringRequiredThe NIC type.
createDateTimestampRequiredThe time when the NIC was created.
lastOpDateTimestampRequiredThe time when the NIC was last modified.
usedIpsListRequiredSee usedIps.
uuidStringRequiredThe UUID of the IP address.
ipRangeUuidStringRequiredThe IP range UUID.
l3NetworkUuidStringRequiredThe L3 network UUID.
ipVersionIntegerRequiredThe IP version.
ipStringRequiredThe IP address.
netmaskStringRequiredThe netmask of the IP address.
gatewayStringRequiredThe gateway IP address.
usedForStringRequiredThe intended use.
ipInLonglongRequiredThe IP address represented as a long integer.
vmNicUuidStringRequiredThe NIC UUID.
createDateTimestampRequiredThe time when the IP address was created.
lastOpDateTimestampRequiredThe time when the IP address was last modified.
allVolumesListRequiredSee allVolumes.
uuidStringRequiredThe volume UUID.
nameStringRequiredThe volume name.
descriptionStringRequiredThe detailed description of the volume.
primaryStorageUuidStringRequiredThe primary storage UUID.
vmInstanceUuidStringRequiredThe VM instance UUID.
diskOfferingUuidStringRequiredThe volume offering UUID.
rootImageUuidStringRequiredThe root image UUID.
installPathStringRequiredThe installation path of the volume in the primary storage.
typeStringRequiredThe type of the volume.
formatStringRequiredThe format of the volume.
sizeLongRequiredThe size of the volume.
actualSizeLongRequiredThe actual storage space that the volume takes up.
deviceIdIntegerRequiredThe device ID.
stateStringRequiredThe state of the volume.
statusStringRequiredThe status of the volume.
createDateTimestampRequiredThe time when the volume was created.
lastOpDateTimestampRequiredThe time when the volume was last modified.
isShareableBooleanRequiredIndicates whether the volume is shareable.
volumeQosStringRequiredThe QoS of the volume, for example, 1048576.
